Page MenuHomePhabricator

Revise language, terms and text (including mouseover help texts)
Closed, ResolvedPublic

Description

The terms used in Mitmachen should be identical to the terms used in the tutorials.

Further, all text should be double-checked and revised for clarity.

Event Timeline

Cirdan created this task.Jul 7 2018, 1:18 PM

With the completion T199182: Make interface texts easy to edit it is now possible to see and easily edit all texts.

@Christine_Domgoergen_WMDE and @Stefan_Schneider_WMDE, I would kindly ask you to check whether the language we use here on the website https://tools.wmflabs.org/mitmachen/ is congruent with the language and terms we use in all our other tutorials/ onboarding materials.

sonkiki renamed this task from Revise terms and text to Revise language, terms and text.Aug 9 2018, 3:22 PM
sonkiki claimed this task.

I would suggest renaming the tasks into an active form: Link prüfen instead of ungeprüfter Link so that the user knows what he or she is expected to do. Is this possible?

Also it would be nice, if the link of every task would use the Wartungsbaustein or the unchecked link as an anchor. Like this the user is guided to the specific place where he or she is expected to edit and does not get lost in scrolling and searching for the unchecked link etc.

sonkiki added a subscriber: RazShuty.EditedAug 13 2018, 11:33 AM

Also it would be nice, if the link of every task would use the Wartungsbaustein or the unchecked link as an anchor. Like this the user is guided to the specific place where he or she is expected to edit and does not get lost in scrolling and searching for the unchecked link etc.

I added this as its own task https://phabricator.wikimedia.org/T202004 (and moved part of the comment I had made here also to the task)

sonkiki renamed this task from Revise language, terms and text to Revise language, terms and text (including mouseover help texts).Aug 15 2018, 9:23 AM

@Cirdan, a practical question:

Do you have a file that includes all the texts from the tutorial?
It would be helpful for us, from the Ideenförderung (IF) team (not coders), if we had an overview of all the text that already exists, so we can edit it all in one go.

Cirdan added a comment.Sep 5 2018, 6:29 PM

The text currently is in www/python/src/text.js and at the top of www/python/src/static/mitmachen.js. I believe that the texts in these two files are editable by non-coders without any issues.

However, Raz rightfully recommended to move all texts into a separate file.

sonkiki reassigned this task from sonkiki to Cirdan.EditedSep 24 2018, 3:13 PM

Hey @Cirdan, I edited www/python/src/static/mitmachen.js on github with our proposed texts.

Reassigning this task from me to you now, if that's alright! Thx!

Cirdan closed this task as Resolved.EditedOct 21 2018, 12:05 PM
Cirdan moved this task from Discussion (Team Ideenförderung) to Done on the Mitmachen board.

Merged the pull request. Thanks!

What is displayed on the labels corresponds to the name of the templates on Wikipedia and hence cannot be changed (easily). I believe we should keep the "official" names for now.

If this causes a lot of confusion, we can of course change what we display, I will keep this is in mind when I clean up the code as suggested in the review.